aboutsummaryrefslogtreecommitdiffstats
path: root/resources
diff options
context:
space:
mode:
authorjuraj.linkes <juraj.linkes@pantheon.tech>2019-03-07 14:03:36 +0100
committerVratko Polak <vrpolak@cisco.com>2019-04-05 13:58:53 +0000
commit6e96fee163eb9622bf39ed48743db86f7bcf743a (patch)
tree89266ca35da7258c80d8c410e09b5ab5112fe7c1 /resources
parent90236e8fa69f5a226edd75a7c67f49e6d4383aaf (diff)
Fixes for Taishan testbed
* rename NICs in Taishan testbed to Intel-X520-DA2 * fix testbed NIC selection * remove unnecessary 82599es tests * blacklist unsupported tests on Taishan testbed * lowercase previously created bash local variables Change-Id: I3b7f59e2edc00929fab2f5a0fce483f236f83075 Signed-off-by: juraj.linkes <juraj.linkes@pantheon.tech>
Diffstat (limited to 'resources')
-rw-r--r--resources/libraries/bash/function/artifacts.sh20
-rw-r--r--resources/libraries/bash/function/common.sh22
2 files changed, 26 insertions, 16 deletions
diff --git a/resources/libraries/bash/function/artifacts.sh b/resources/libraries/bash/function/artifacts.sh
index c11356109a..fe300d164d 100644
--- a/resources/libraries/bash/function/artifacts.sh
+++ b/resources/libraries/bash/function/artifacts.sh
@@ -65,22 +65,22 @@ function download_ubuntu_artifacts () {
}
# If version is set we will add suffix.
artifacts=()
- BOTH_QUOTES='"'"'"
- MATCH="[^${BOTH_QUOTES}]*"
- QMATCH="[${BOTH_QUOTES}]\?"
- SED_COMMAND="s#.*apt_source_path=${QMATCH}\(${MATCH}\)${QMATCH}#\1#p"
- APT_FDIO_REPO_FILE=$(curl -s "${REPO_URL}"/script.deb.sh | \
- sed -n ${SED_COMMAND}) || {
+ both_quotes='"'"'"
+ match="[^${both_quotes}]*"
+ qmatch="[${both_quotes}]\?"
+ sed_command="s#.*apt_source_path=${qmatch}\(${match}\)${qmatch}#\1#p"
+ apt_fdio_repo_file=$(curl -s "${REPO_URL}"/script.deb.sh | \
+ sed -n ${sed_command}) || {
die "Local fdio repo file path fetch failed."
}
- if [ ! -f ${APT_FDIO_REPO_FILE} ]; then
- die "${APT_FDIO_REPO_FILE} not found, \
+ if [ ! -f ${apt_fdio_repo_file} ]; then
+ die "${apt_fdio_repo_file} not found, \
repository installation was not successful."
fi
- packages=$(apt-cache -o Dir::Etc::SourceList=${APT_FDIO_REPO_FILE} \
- -o Dir::Etc::SourceParts=${APT_FDIO_REPO_FILE} dumpavail \
+ packages=$(apt-cache -o Dir::Etc::SourceList=${apt_fdio_repo_file} \
+ -o Dir::Etc::SourceParts=${apt_fdio_repo_file} dumpavail \
| grep Package: | cut -d " " -f 2) || {
die "Retrieval of available VPP packages failed."
}
diff --git a/resources/libraries/bash/function/common.sh b/resources/libraries/bash/function/common.sh
index 7da80201c0..2445a5deae 100644
--- a/resources/libraries/bash/function/common.sh
+++ b/resources/libraries/bash/function/common.sh
@@ -556,17 +556,23 @@ function select_tags () {
# - TAGS - Array of processed tag boolean expressions.
# NIC SELECTION
- # All topologies NICs
- available=$(grep -hoPR "model: \K.*" "${TOPOLOGIES_DIR}"/* | sort -u)
- # Selected topology NICs
- reserved=$(grep -hoPR "model: \K.*" "${WORKING_TOPOLOGY}" | sort -u)
- # All topologies NICs - Selected topology NICs
+ start_pattern='^ TG:'
+ end_pattern='^ \? \?[A-Za-z0-9]\+:'
+ # Remove the TG section from topology file
+ sed_command="/${start_pattern}/,/${end_pattern}/d"
+ # All topologies DUT NICs
+ available=$(sed "${sed_command}" "${TOPOLOGIES_DIR}"/* \
+ | grep -hoP "model: \K.*" | sort -u)
+ # Selected topology DUT NICs
+ reserved=$(sed "${sed_command}" "${WORKING_TOPOLOGY}" \
+ | grep -hoP "model: \K.*" | sort -u)
+ # All topologies DUT NICs - Selected topology DUT NICs
exclude_nics=($(comm -13 <(echo "${reserved}") <(echo "${available}")))
# Select default NIC
case "${TEST_CODE}" in
*"3n-tsh"*)
- DEFAULT_NIC='nic_intel-82599es'
+ DEFAULT_NIC='nic_intel-x520-da2'
;;
*)
DEFAULT_NIC='nic_intel-x710'
@@ -707,6 +713,10 @@ function select_tags () {
;;
*"3n-tsh"*)
test_tag_array+=("!ipsechw")
+ test_tag_array+=("!memif")
+ test_tag_array+=("!srv6_proxy")
+ test_tag_array+=("!vhost")
+ test_tag_array+=("!vts")
;;
*)
# Default to 3n-hsw due to compatibility.